For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList sessions
      • POSTCreate a verification session
      • GETGet a session
      • PATCHUpdate a session
      • POSTResume a session
      • POSTResend the invitation email
      • POSTExpire a session
      • POSTSimulate a session action (sandbox only)
      • GETGet session result
      • DELRedact session data
      • GETExport session data (GDPR Art. 15 DSAR)
      • POSTBulk redact sessions
      • POSTSubmit a session for verification
      • POSTAdd a tag to a session
      • POSTRemove a tag from a session
      • POSTReplace all tags on a session
      • POSTGenerate a one-time verification link
      • GETList one-time links for a session
      • GETList verification checks
      • POSTRetry a failed verification check
      • GETList verification attempts
      • GETGenerate PDF verification report
      • POSTSubmit external gate decision
      • POSTReprocess a session
      • GETList webhook deliveries for a session
      • GETGet session risk assessment
API ReferenceSessions

Update a session

PATCH
https://devapi.withverifa.com/api/v1/sessions/:session_id
PATCH
/api/v1/sessions/:session_id
$curl -X PATCH https://devapi.withverifa.com/api/v1/sessions/session_id \
> -H "X-API-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "ses_abc123",
3 "status": "pending",
4 "is_sandbox": true,
5 "environment": "string",
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z",
8 "external_ref": "string",
9 "metadata": {},
10 "country": "string",
11 "checks": [
12 "string"
13 ],
14 "workflow_id": "string",
15 "document_type": "string",
16 "retention_status": "string",
17 "processing_attempts": 1,
18 "consent_ip": "string",
19 "capture_url": "string",
20 "token_expires_at": "2024-01-15T09:30:00Z",
21 "case_id": "string",
22 "case_status": "string",
23 "tags": [
24 "string"
25 ]
26}

Updates metadata on an existing session. Only external_ref and metadata can be changed. Sessions that have been redacted cannot be updated.

Was this page helpful?
Previous

Resume a session

Next
Built with

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Path parameters

session_idstringRequired

Session ID (ses_*).

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Key-InflectionenumOptionalDefaults to snake

Response key casing. Defaults to snake.

Allowed values:
Idempotency-KeystringOptional<=255 characters

Unique key for idempotent requests. Cached for 24 hours. Sending the same key with different parameters returns 422.

Request

This endpoint expects an object.
external_refstringOptional<=255 characters
Update the external reference for this session.
metadatamap from strings to anyOptional

Merge keys into the session’s metadata. Existing keys not included in the request are preserved. Set a key to null to remove it. Each value is capped at 16 KB of serialized UTF-8.

Response

Updated session.
idstring
statusenum
is_sandboxboolean
environmentstring
Environment ID for this session.
created_atdatetime
updated_atdatetime
external_refstring or null
metadatamap from strings to any
countrystring or null
checkslist of strings or null
workflow_idstring or null
Workflow used for this session.
document_typestring or null
Detected or specified document type.
retention_statusstring or null

Data retention status (active, sensitive_redacted, redacted).

processing_attemptsinteger or null
Number of processing attempts for this session.
consent_ipstring or null
IP address from which consent was given.
capture_urlstring or null

Capture URL (only present while session is pending/capturing).

token_expires_atdatetime or null
When the capture token expires.
case_idstring or null
Associated review case ID, if any.
case_statusstring or null
Status of the associated review case.
tagslist of strings

Free-form tags attached to this session.

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error